#include <Inventor/nodes/SoCoordinate3.h>
#include <Inventor/nodes/SoDirectionalLight.h>
#include <Inventor/nodes/SoEnvironment.h>
#include <Inventor/nodes/SoIndexedTriangleStripSet.h>
#include <Inventor/nodes/SoMaterial.h>
#include <Inventor/nodes/SoMaterialBinding.h>
#include <Inventor/nodes/SoNormal.h>
#include <Inventor/nodes/SoNormalBinding.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoTriangleStripSet.h>
#include <stdlib.h>
#include <time.h>
#include <Inventor/events/SoKeyboardEvent.h> 
#include <Inventor/nodes/SoEventCallback.h> 
#include "keyboard.h"
#include "FaultFormation2.h"
#include "TerrainModif.h"
#include "buildings.h"
#include "make_FaceSet.h"

int c=33;
const int c_min = 0;
const int c_max = 34; // pocet budov

void myEventCB(void * userData, SoEventCallback * node)
{
	SoSeparator * root = (SoSeparator*)userData;
	const SoEvent * event = node->getEvent();
	if( SoKeyboardEvent::isKeyPressEvent(event,SoKeyboardEvent::UP_ARROW) ||
	    SoKeyboardEvent::isKeyPressEvent(event,SoKeyboardEvent::RIGHT_ARROW) ||
	    SoKeyboardEvent::isKeyPressEvent(event,SoKeyboardEvent::SPACE) )
	{
	  if(c == c_max) c = c_min;
	  root -> removeAllChildren();
	  root -> addChild( make_FaceSet(++c,0,0,0,10));
    }
	if( SoKeyboardEvent::isKeyPressEvent(event,SoKeyboardEvent::DOWN_ARROW) ||
	    SoKeyboardEvent::isKeyPressEvent(event,SoKeyboardEvent::LEFT_ARROW) )
	{
	  if(c == c_min) c = c_max;
	  root -> removeAllChildren();
	  root -> addChild( make_FaceSet(--c,0,0,0,10));
    }
	node->setHandled();
}

// Globln promnn a funkce,
// kter jsou pouity v modulech Main-*.cpp
const char *appTitleb = "Buildings Viewer";       // Titulek okna
bool headlightb = true; //false;                           // Defaultn svtlo (v pozici kamery)
SoSeparator* createBuild(int argc, char **argv);  // Funkce vytvejc scnu


SoSeparator* createBuild(int argc, char **argv) {

  return make_FaceSet(c,0,0,0,10);
}
